
Redmine - Feature #9292

"Data has been updated by another user." - Allow this to be clicked through

2011-09-21 11:44 - matthew matthew

Status: Closed Start date: 2011-09-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

"Data has been updated by another user."

This error message is presented whenever you make an update to a ticket which has been updated by another user. When this

occurs all of the comments on the issue are hidden and just your attempted submission is shown. You can resubmit it, but you will

continue to receive the error message.

It seriously sucks. Instead of the current behaviour, you should show the new updates in some highlighted fashion, alert the user,

and then allow them to submit their update anyway (perhaps with a confirmation).

What do you really expect this work-blocking alert to achieve? If you have spent some time working on the update it can easily be

lost (like by force reloading the page, which is required to actually submit an update). Intentionally hiding the updated comments also

seems contrary to any goal of this alert - like if someone submitted the same update you would not see it, and after force reloading

you may well skip it.

Related issues:

Is duplicate of Redmine - Feature #8691: Better handling of issue update conf... Closed 2011-06-27

History

#1 - 2011-09-21 11:45 - matthew matthew

test

#2 - 2011-09-21 11:45 - matthew matthew

another test

#3 - 2011-09-21 11:45 - matthew matthew

In order to reproduce this issue I think the update needs to be performed by another user.

#4 - 2011-09-23 12:39 - Etienne Massip

- Category set to Issues

#5 - 2011-10-13 12:36 - Nayuta Taga

I think this issue is very serious problem, too.

#6 - 2011-10-13 12:52 - Etienne Massip

- Target version set to Candidate for next major release

#7 - 2011-10-18 16:53 - TridenT Job

No issue when only adding comments in update (no change to properties / status).

#8 - 2011-10-18 17:07 - matthew matthew

As I mentioned in my comment I believe the issue is most easily reproduced with two user accounts. This happens to me most when my boss

comments on or otherwise alters a ticket that I am working on, or when a git post commit hook adds data to a ticket.

#9 - 2011-12-12 08:45 - pasquale [:dedalus]

This is a duplicate of bug #8691
#10 - 2011-12-12 09:14 - Etienne Massip

- Status changed from New to Closed

- Target version deleted (Candidate for next major release)

- Resolution set to Duplicate

Indeed, closed as such.

#11 - 2012-02-01 04:26 - Nayuta Taga

Patches for this issue are available in #8691
